package Drawnings;

import Entities.CountPortholes;

import java.awt.*;

public class DrawningPortholesHeart extends DrawningPortholesCircle {
    protected void drawPortholes(Graphics2D g, int posX, int posY) {
        int[] HeartX = {posX + 2, posX, posX, posX + 1, posX + 2, posX + 3, posX + 5, posX + 5};
        int[] HeartY = {posY + 4, posY + 2, posY, posY, posY + 1, posY, posY, posY + 2};
        g.setColor(Color.cyan);
        g.fillPolygon(HeartX, HeartY, HeartX.length);
        g.setColor(Color.black);
        g.drawPolygon(HeartX, HeartY, HeartX.length);
    }
}